# Set-RASVDIPersistentHost.md

## NAME

Set-RASVDIPersistentHost

## SYNOPSIS

Modifies a persistent host VM rule.

## SYNTAX

\*\*Set-RASVDIPersistentHost -[ProviderId](#providerid-string) *(uint)* -[VDIHostId](#vdihostid-string) *(string)* \[[Device](#device-string) *(string)*] \[[SID](#sid-string) *(string)*] \[[SiteId](#siteid-string) *(uint)*] \[[User](#user-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies a persistent host VM rule.

## PARAMETERS

## User (string)

The name of the user account to which to assign the Host.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Device (string)

The name of the device to which to assign the Host.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SID (string)

The SID of the user account to which to assign the Host.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ProviderId (uint)

The ID of the Provider server on which the target Persistent Host resides.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## VDIHostId (string)

The Host ID of a persistent host VM.

To obtain the Host ID, use the Get-VDIPersistentHost cmdlet.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASVDIPersistentHost -Account User1 -ProviderId 3 -VDIHostId 42311235-09c5-ca15-337d-b9723015edf0

Modifies the persistent host VM rule.

## RELATED LINKS

* [Get-RASVDIPersistentHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasvdipersistenthost.md)
* [Remove-RASVDIPersistentHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasvdipersistenthost.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasvdipersistenthost.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
